import request from '@/utils/request'

// 查询环境本底值记录列表
export function listEnvironment(query) {
  return request({
    url: '/check/environment/list',
    method: 'get',
    params: query
  })
}

// 查询环境本底值记录详细
export function getEnvironment(id) {
  return request({
    url: '/check/environment/' + id,
    method: 'get'
  })
}

// 新增环境本底值记录
export function addEnvironment(data) {
  return request({
    url: '/check/environment',
    method: 'post',
    data: data
  })
}

// 修改环境本底值记录
export function updateEnvironment(data) {
  return request({
    url: '/check/environment',
    method: 'put',
    data: data
  })
}

// 删除环境本底值记录
export function delEnvironment(id) {
  return request({
    url: '/check/environment/' + id,
    method: 'delete'
  })
}
